using System;

namespace Takmicenje18._12
{
    class Program
    {
        static void Main(string[] args)
        {
            int a, b, x, y;
            string[] st = Console.ReadLine().Split();
            a = int.Parse(st[0]);
            b = int.Parse(st[1]);
            st = Console.ReadLine().Split();
            x = int.Parse(st[0]);
            y = int.Parse(st[1]);
            if (x == a && y == b) Console.WriteLine("nijedan");
            else if (x == a) Console.WriteLine("drugi");
            else if (y == b) Console.WriteLine("prvi");
            else Console.WriteLine("?");
        }
    }
}